org.apache.myfaces.trinidad.change

## Class SetFacetChildComponentChange

- java.lang.Object
- - org.apache.myfaces.trinidad.change.ComponentChange
  - - org.apache.myfaces.trinidad.change.AddComponentChange
    - - org.apache.myfaces.trinidad.change.SetFacetChildComponentChange

- All Implemented Interfaces:
    Serializable

      public class SetFacetChildComponentChange
      extends AddComponentChange

  Change specialization for adding a facet. While applying this Change, the specified component is re-created and added as a facet. If there were to be a facet by the specified name already, the new facet will not be added.
  Version:
    $Name: $ ($Revision: adfrt/faces/adf-faces-api/src/main/java/oracle/adf/view/faces/change/SetFacetChildComponentChange.java#0 $) $Date: 10-nov-2005.19:10:02 $
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SetFacetChildComponentChange(String facetName, javax.faces.component.UIComponent facetComponent)` Constructs an AddFacetChange with the specified facet name and the corresponding component.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `changeComponent(javax.faces.component.UIComponent uiComponent)` Apply this change to the specied component
    `String` | `getFacetName()` Returns the name by which the facet is to be added while applying this Change.

    - ### Methods inherited from class org.apache.myfaces.trinidad.change.AddComponentChange

      `getComponent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SetFacetChildComponentChange

          public SetFacetChildComponentChange(String facetName,
                                      javax.faces.component.UIComponent facetComponent)

      Constructs an AddFacetChange with the specified facet name and the corresponding component.
      Parameters:
        `facetName` - The name by which the component is to be added as a facet.
        `facetComponent` - The component that is to be added as a facet.
      Throws:
        `IllegalArgumentException` - if specified facetName or the facetComponent were to be null.

  - ### Method Detail

    - #### getFacetName

          public String getFacetName()

      Returns the name by which the facet is to be added while applying this Change.

    - #### changeComponent

          public void changeComponent(javax.faces.component.UIComponent uiComponent)

      Apply this change to the specied component
      Specified by:
        `changeComponent` in class `ComponentChange`
      Parameters:
        `uiComponent` - the UIComponent to apply the change to

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.